Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos de Schneider Electric

Múltiples vulnerabilidades en productos de Schneider Electric

Fecha de publicación: 
10/07/2019
Importancia: 
4 - Alta
Recursos afectados: 
  • Zelio Soft V5.2 y versiones anteriores;
  • IGSS versión 14 y anteriores;
  • Modicon M580 CPU - BMEP582040, todas las versiones anteriores a V2.90;
  • Modicon Ethernet Module BMENOC0301, todas las versiones anteriores a V2.16.
Descripción: 

Los investigadores mdm y rgod, de 9SG Security Team, en colaboración con Zero Day Initiative (Trend Micro), han reportado varias vulnerabilidades en dispositivos de Schneider Electric. Un atacante remoto podría permitir la ejecución de código, cierre inesperado o generar una condición de denegación de servicio.

Solución: 
  • Actualizar Zelio Soft a la versión 5.3,
  • Actualizar IGSS a las versiones:
  • Actualizar Modicon Ethernet Module BMENOC0301 a la versión 2.16,
  • Actualizar Modicon M580 – BMEP582040 a la versión 2.90. Consultar el apartado de Referencias para descargar la actualización adecuada para el modelo afectado.
Detalle: 
  • Una vulnerabilidad se debe a un error en la restricción de operaciones inapropiadas dentro de los límites del búfer de la memoria. Este error podría causar una denegación de servicio en el servidor FTP del Modicon Ethernet al recibir un comando FTP CWD con una longitud de datos superior a 1020 bytes. Se ha reservado el identificador CVE-2018-7838.
  • Una vulnerabilidad de escritura fuera de límites podría causar un fallo en el software al manipular los datos en la base de datos mdb. Se ha reservado el identificador CVE-2019-6827.
  • Una vulnerabilidad se debe a un fallo en el uso de recursos después de la liberación de memoria. Un atacante remoto podría realizar ejecución de código de manera arbitraria. Se ha reservado el identificador CVE-2018-6822.

Encuesta valoración